from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XGridFieldDataSupplier(XInterface, Protocol):
    def queryFieldDataType(self, xType: type) -> list[bool]: ...
    def queryFieldData(self, nRow: int, xType: type) -> list[Any]: ...
